Package ru.bitel.oss.kernel.entity.common.bean

# Class AddressStruct.Builder

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.AddressStruct.Builder

Enclosing class:
  `AddressStruct`

public static class AddressStruct.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressStruct`
  `build()`
  `AddressStruct.Builder`
  `setArea(String area)`
  `AddressStruct.Builder`
  `setCity(String city)`
  `AddressStruct.Builder`
  `setComment(String comment)`
  `AddressStruct.Builder`
  `setCountry(String country)`
  `AddressStruct.Builder`
  `setFlat(String flat)`
  `AddressStruct.Builder`
  `setFloor(String floor)`
  `AddressStruct.Builder`
  `setFrac(String frac)`
  `AddressStruct.Builder`
  `setFullAddress(String fullAddress)`
  `AddressStruct.Builder`
  `setHouse(String house)`
  `AddressStruct.Builder`
  `setHouseId(int houseId)`
  `AddressStruct.Builder`
  `setIndex(String index)`
  `AddressStruct.Builder`
  `setParamMap(Map<String,String> paramMap)`
  `AddressStruct.Builder`
  `setPod(String pod)`
  `AddressStruct.Builder`
  `setQuarter(String quarter)`
  `AddressStruct.Builder`
  `setRoom(String room)`
  `AddressStruct.Builder`
  `setStreet(String street)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setArea

    public AddressStruct.Builder setArea(String area)

  - ### setCity

    public AddressStruct.Builder setCity(String city)

  - ### setComment

    public AddressStruct.Builder setComment(String comment)

  - ### setCountry

    public AddressStruct.Builder setCountry(String country)

  - ### setFlat

    public AddressStruct.Builder setFlat(String flat)

  - ### setFloor

    public AddressStruct.Builder setFloor(String floor)

  - ### setFrac

    public AddressStruct.Builder setFrac(String frac)

  - ### setFullAddress

    public AddressStruct.Builder setFullAddress(String fullAddress)

  - ### setHouse

    public AddressStruct.Builder setHouse(String house)

  - ### setHouseId

    public AddressStruct.Builder setHouseId(int houseId)

  - ### setIndex

    public AddressStruct.Builder setIndex(String index)

  - ### setPod

    public AddressStruct.Builder setPod(String pod)

  - ### setQuarter

    public AddressStruct.Builder setQuarter(String quarter)

  - ### setRoom

    public AddressStruct.Builder setRoom(String room)

  - ### setStreet

    public AddressStruct.Builder setStreet(String street)

  - ### setParamMap

    public AddressStruct.Builder setParamMap(Map<String,String> paramMap)

  - ### build

    public AddressStruct build()